Plugin.h File Reference
`#include "SharedLibraryClass.h"`
Include dependency graph for Plugin.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | ROBOTTESTINGFRAMEWORK_PLUGIN_FACTORY_NAME "robottestingframework_dll_factory"
#define | ROBOTTESTINGFRAMEWORK_FIXTURE_FACTORY_NAME "robottestingframework_fixture_factory"
#define | ROBOTTESTINGFRAMEWORK_PREPARE_PLUGIN(classname) SHLIBPP_DEFINE_SHARED_SUBCLASS(robottestingframework_dll_factory, classname, classname)
#define | ROBOTTESTINGFRAMEWORK_PREPARE_FIXTURE_PLUGIN(classname) SHLIBPP_DEFINE_SHARED_SUBCLASS(robottestingframework_fixture_factory, classname, classname)

## Macro Definition Documentation

## ROBOTTESTINGFRAMEWORK_FIXTURE_FACTORY_NAME

#define ROBOTTESTINGFRAMEWORK_FIXTURE_FACTORY_NAME "robottestingframework_fixture_factory"

Definition at line 28 of file Plugin.h.

## ROBOTTESTINGFRAMEWORK_PLUGIN_FACTORY_NAME

#define ROBOTTESTINGFRAMEWORK_PLUGIN_FACTORY_NAME "robottestingframework_dll_factory"

Definition at line 27 of file Plugin.h.

## ROBOTTESTINGFRAMEWORK_PREPARE_FIXTURE_PLUGIN

#define ROBOTTESTINGFRAMEWORK_PREPARE_FIXTURE_PLUGIN | ( |  | classname | ) | SHLIBPP_DEFINE_SHARED_SUBCLASS(robottestingframework_fixture_factory, classname, classname)

Definition at line 31 of file Plugin.h.

## ROBOTTESTINGFRAMEWORK_PREPARE_PLUGIN

#define ROBOTTESTINGFRAMEWORK_PREPARE_PLUGIN | ( |  | classname | ) | SHLIBPP_DEFINE_SHARED_SUBCLASS(robottestingframework_dll_factory, classname, classname)

Definition at line 30 of file Plugin.h.